com.fasterxml.jackson.module.blackbird.util

## Class Unchecked

- java.lang.Object
- - com.fasterxml.jackson.module.blackbird.util.Unchecked

-     public class Unchecked
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Unchecked.CheckedRunnable`
    `static interface` | `Unchecked.SneakyCallable<T>`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <X,T> Function<X,T>` | `function(CheckedFunction<X,T> checkedFunction)`
    `static Runnable` | `runnable(Unchecked.CheckedRunnable checkedRunnable)`
    `static <T> Supplier<T>` | `supplier(CheckedSupplier<T> checkedSupplier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### runnable

          public static Runnable runnable(Unchecked.CheckedRunnable checkedRunnable)

    - #### supplier

          public static <T> Supplier<T> supplier(CheckedSupplier<T> checkedSupplier)

    - #### function

          public static <X,T> Function<X,T> function(CheckedFunction<X,T> checkedFunction)

Copyright © 2022 FasterXML. All rights reserved.